MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026469Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-07-22 13:452015-10-23 20:50
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026469: Methods Seek(), ChangeSeek() are missing in class NCollection_IndexedDataMap
DescriptionThe class NCollection_DataMap does contain the methods Seek(), ChangeSeek(),
but the class NCollection_IndexedDataMap does not.
Steps To ReproduceIt is not necessary to have a test script.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0043288)
git (administrator)
2015-07-22 14:00

Branch CR26469 has been created by pkv.

SHA-1: 1c29294ea00e112217a600adde3f9d208f245530


No new revisions were added by this update.
(0043289)
git (administrator)
2015-07-22 14:11

Branch CR26469 has been updated by pkv.

SHA-1: 89733b61e4de4eb835d9e734a4860d7b8e08b947


Detailed log of new commits:

Author: pkv
Date: Wed Jul 22 14:11:36 2015 +0300

    0026469: Methods Seek(), ChangeSeek() are missing in class NCollection_IndexedDataMap
    
    I. New features:
    1.1. class NCollection_IndexedDataMap
     - method:
     const TheItemType* Seek(const TheKeyType& theKey1) const
     has been added.
     The method Seek returns pointer to Item by Key.
     Returns NULL if Key was not found.
    
     - method:
     TheItemType* ChangeSeek (const TheKeyType& theKey1)
     has been added.
     The method ChangeSeek returns modifiable pointer to Item by Key.
     Returns NULL if Key was not found.
    
    II. Changes:
     No changes.
    
    III. Modified entities:
     packages:
     NCollection

(0043290)
pkv (developer)
2015-07-22 14:13

Please review the branch CR26469
(0043318)
abv (manager)
2015-07-22 17:05

No remarks, please test
(0043416)
git (administrator)
2015-07-24 15:38

Branch CR26469 has been updated forcibly by apv.

SHA-1: 5ea22102c5638a891305643eaf4d3eaf4fe18b1e
(0043417)
apv (tester)
2015-07-24 15:38

Branch CR26469 has been rebased on the current master
(0043555)
apv (tester)
2015-07-27 14:00

Dear BugMaster,

Branch CR26469 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5ea22102c5638a891305643eaf4d3eaf4fe18b1e

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 99735113 / 99901711 [-0.17%]
Total CPU difference: 17414.94999999946 / 17410.37999999943 [+0.03%]

Testing on Windows:
Total MEMORY difference: 57629452 / 58590978 [-1.64%]
Total CPU difference: 16079.709474398962 / 16889.807067299294 [-4.80%]
(0044156)
git (administrator)
2015-08-14 10:53

Branch CR26469 has been deleted by inv.

SHA-1: 5ea22102c5638a891305643eaf4d3eaf4fe18b1e

- Related Changesets
occt: master 031d5ab7
Timestamp: 2015-07-22 11:11:36
Author: pkv
Committer: bugmaster
Details ] Diff ]
0026469: Methods Seek(), ChangeSeek() are missing in class NCollection_IndexedDataMap

I. New features:
1.1. class NCollection_IndexedDataMap
 - method:
 const TheItemType* Seek(const TheKeyType& theKey1) const
 has been added.
 The method Seek returns pointer to Item by Key.
 Returns NULL if Key was not found.

 - method:
 TheItemType* ChangeSeek (const TheKeyType& theKey1)
 has been added.
 The method ChangeSeek returns modifiable pointer to Item by Key.
 Returns NULL if Key was not found.

II. Changes:
 No changes.

III. Modified entities:
 packages:
 NCollection
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-22 13:45 pkv New Issue
2015-07-22 13:45 pkv Assigned To => abv
2015-07-22 14:00 git Note Added: 0043288
2015-07-22 14:11 git Note Added: 0043289
2015-07-22 14:12 pkv Assigned To abv => pkv
2015-07-22 14:12 pkv Status new => assigned
2015-07-22 14:12 pkv Status assigned => resolved
2015-07-22 14:13 pkv Note Added: 0043290
2015-07-22 14:14 pkv Assigned To pkv => abv
2015-07-22 17:05 abv Note Added: 0043318
2015-07-22 17:05 abv Assigned To abv => bugmaster
2015-07-22 17:05 abv Status resolved => reviewed
2015-07-24 15:38 git Note Added: 0043416
2015-07-24 15:38 apv Note Added: 0043417
2015-07-24 15:38 apv Assigned To bugmaster => apv
2015-07-27 13:00 apv Test case number => Not needed
2015-07-27 14:00 apv Note Added: 0043555
2015-07-27 14:00 apv Assigned To apv => bugmaster
2015-07-27 14:00 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 031d5ab7
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:53 git Note Added: 0044156
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker